Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 545688 - net-analyzer/wireshark - switch to building with cmake
Summary: net-analyzer/wireshark - switch to building with cmake
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 654158
  Show dependency tree
 
Reported: 2015-04-06 07:24 UTC by Jeroen Roovers (RETIRED)
Modified: 2018-05-03 11:17 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2015-04-06 07:24:58 UTC
Upstream defaults to cmake. This move leaves issues with the autotools build system in its wake.

Patches welcome.
Comment 1 Martin Kletzander 2015-04-18 07:23:16 UTC
Apart from the fact that according to their documentation there is no mention about cmake:  https://www.wireshark.org/docs/wsug_html_chunked/ChBuildInstallUnixBuild.html

But it looks like they are using cmake themselves.
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2018-03-16 14:59:05 UTC
Upstream seems to keep cmake and autotools better in sync these days.
Comment 3 jospezial 2018-05-01 23:23:42 UTC
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=4a156da068269aae75d79cd08e579754c52a0c43
"Remove autotools build system.

It has been replaced by cmake."
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2018-05-02 18:38:19 UTC
Fixed in the live ebuild and 2.6.0-r1. Please file a new bug report if anything is wrong with those.